function ZombieOffense:StartActivity()
	print("Zombie Offense Activity Start");
	self.FightStage = { NOFIGHT = 0, DEFENDING = 1, ATTACK = 2, FIGHTSTAGECOUNT = 3 };
	self.zspawn1 = Timer();
	self.gametime = Timer();
	self.gameover = 0;
	self.ztime = 6000;
	self.InterruptTimer = Timer();
	self.Interrupt = 0;
	ActivityMan:GetActivity():SetTeamFunds(0,0);
	ActivityMan:GetActivity():SetTeamOfPlayer(Activity.PLAYER_1,Activity.TEAM_1);
	zlist = {"Spewer Thin","Spewer Medium","Spewer Fat"};
	wlist = {"Vomit Gun"};
	blist = {"Blue Bomb"};
	zombiecount = 0;
	zombiecap = 10;
	killcount = 0;
	pickup1 = 0;
	pickup2 = 0;
	pickup3 = 0;
	pickup4 = 0;
	pickup5 = 0;
	pickup6 = 0;
	pickup7 = 0;
	self.braindead = {};
    self.CPUTeam = Activity.TEAM_2;
    for player = 0, self.PlayerCount - 1 do
      	if not self:GetPlayerBrain(player) then
			self.braindead[player] = false;
			playerActor = CreateAHuman("AI Director");
			playerActor.Pos = Vector(200,870);
			playerActor.Team = 0;
			playerActor.PinStrength = 999;
			playerActor.HitsMOs = false;
       	 	MovableMan:AddActor(playerActor);
           	foundBrain = playerActor;
            self:SetPlayerBrain(foundBrain, player);
            self:SetViewState(Activity.ACTORSELECT, player);
            self:SetActorSelectCursor(Vector(600, 850), player);
            self:SetLandingZone(self:GetPlayerBrain(player).Pos, player);
            self:SetObservationTarget(self:GetPlayerBrain(player).Pos, player)
        end
    end
	sentryActor = CreateAHuman("Soldier Heavy");
	sentryActor.Pos = Vector(2368,790);
	sentryActor.Team = 1;
	sentryActor.AIMODE = Actor.AIMODE_SENTRY;
	sentryActor:AddInventoryItem(CreateHDFirearm("M16"));
	sentryActor.PinStrength = 999;
	MovableMan:AddActor(sentryActor);
	sentryActor2 = CreateAHuman("Soldier Heavy");
	sentryActor2.Pos = Vector(2368,860);
	sentryActor2.Team = 1;
	sentryActor2.AIMODE = Actor.AIMODE_SENTRY;
	sentryActor2:AddInventoryItem(CreateHDFirearm("Auto Shotgun"));
	sentryActor2.PinStrength = 999;
	MovableMan:AddActor(sentryActor2);
end
	
function ZombieOffense:PauseActivity()
	print("Zombie Offense Activity Paused");
end

function ZombieOffense:EndActivity()
	print("Zombie Offense GAME OVER");
	self.gameover = 1;
	if self.WinnerTeam == Activity.TEAM_2 then
        FrameMan:ClearScreenText(Activity.PLAYER_1);
		FrameMan:SetScreenText("You're dead.  Wait, what? There's an infinite number of you.", Activity.PLAYER_1, 0, 5000, false);
	else
        FrameMan:ClearScreenText(Activity.PLAYER_1);
		FrameMan:SetScreenText("You killed the last of the stinking humans! Hooray!", Activity.PLAYER_1, 0, 5000, false);
	end
end

function ZombieOffense:UpdateActivity()
--[[
	if sentryActor.target == nil then
		for actor in MovableMan.Actors do
			local diff = math.sqrt(math.pow((actor.Pos.X - sentryActor.Pos.X),2) + math.pow((actor.Pos.Y - sentryActor.Pos.Y),2))
			if diff < 700 and actor.ID ~= sentryActor.ID then
				sentryActor.target = actor;
			end
		end
	end
	if MovableMan:IsActor(sentryActor.target) then
		if math.sqrt(math.pow((sentryActor.target.Pos.X - sentryActor.Pos.X),2) + math.pow((sentryActor.target.Pos.Y - sentryActor.Pos.Y),2)) < 500 then
			sentryActor:SetAimAngle(math.atan2(sentryActor.target.Pos.Y-sentryActor.Pos.Y,sentryActor.target.Pos.X-sentryActor.Pos.X));
			sentryActor:GetController():SetState(Controller.PRIMARY_ACTION,true);
		end
	else
		sentryActor.target = nil;
	end
]]--

	if sentryActor.Health <= 0 or MovableMan:IsActor(sentryActor) == false then
		self.WinnerTeam = Activity.TEAM_1;
		ActivityMan:EndActivity();
	end
		
	if playerActor:GetController():IsState(Controller.PRIMARY_ACTION) == true then
		if -self.zspawn1:LeftTillSimMS(0) > self.ztime then
			local zombie1 = CreateAHuman(zlist[math.random(#zlist)],"Zombie Offense.rte");
			zombie1:AddAISceneWaypoint(Vector(3000,sentryActor.Pos.Y));
			zombie1.Pos = Vector(204,870);
			zombie1.Team = 0;
			zombie1.AIMode = Actor.AIMODE_GOTO;
			zombie1:AddInventoryItem(CreateHDFirearm(wlist[math.random(#wlist)]));
			zombie1:AddInventoryItem(CreateTDExplosive(blist[math.random(#blist)]));
			MovableMan:AddActor(zombie1);
			self.zspawn1:Reset();
			zombiecount = zombiecount + 1;
		end
	end
	
	--[[
	for actor in MovableMan.Actors do
        if SceneMan.Scene:WithinArea("Boundary", actor.Pos) then
			if actor.Team == 1 then
				actor.Vel = actor.Vel * -1;
			end
        end
    end
	]]--
	
	for item in MovableMan.Items do
		if item.PresetName == "Vomit Gun" then
			item.ToSettle = true;
		end
		if item.PresetName == "Blue Bomb" then
			item.ToSettle = true;
		end
	end

end
	